#!/bin/bash

echo "Building static assets for dylanbaird.com."
cp -r ../dylanbaird.com .
cd ./dylanbaird.com
npx tailwindcss -i ./src/input.css -o ./src/output.css --minify
rm ./src/input.css
cd ../

echo "Building Docker container."
sudo docker build -t boulangermontrealais/barrios:caddy .

echo "Pushing Docker container to registry."
sudo docker push boulangermontrealais/barrios:caddy

echo "Cleaning up artifacts for dylanbaird.com."
rm -rf dylanbaird.com

echo "Build and push completed successfully."